Skip to main content
`Ctrl`+`K`

# FNCombineSetChildren

Sets the two child functions that constitute this combined function, and the way they must be combined.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNCombineSetChildren(FN fn,FNCombineType comb,FN f1,FN f2)

Logically Collective

## Input Parameters

- fn - the math function context

- comb - how to combine the functions (addition, multiplication, division or composition)

- f1 - first function

- f2 - second function

## See Also

FN: Mathematical Functions, `FNCOMBINE`, `FNCombineGetChildren()`

## Level

intermediate

## Location

src/sys/classes/fn/impls/combine/fncombine.c

## Examples

src/mfn/tutorials/ex39.c

## Implementations

FNCombineSetChildren_Combine() in src/sys/classes/fn/impls/combine/fncombine.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages